Upstream information

CVE-2009-2210 at MITRE

Description

Mozilla Thunderbird before 2.0.0.22 and SeaMonkey before 1.1.17 allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a multipart/alternative e-mail message containing a text/enhanced part that triggers access to an incorrect object type.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 515950 [RESOLVED / FIXED], 515951 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
  • epiphany >= 1.2.10-0.9
  • epiphany-doc >= 1.2.10-0.9
  • epiphany-extensions >= 0.8.2-2.10
  • epiphany-extensions-devel >= 0.8.2-2.10
  • mozilla >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-devel >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-dom-inspector >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-irc >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-mail >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-venkman >= 1.8_seamonkey_1.1.17-0.6
core9.ia64
core9.ppc
core9.s390
core9.s390x
sles9-nld.x86-64
sles9-oes.x86
core9.x86
sles9-nlpos.x86
core9.x86-64
sles9-nld.x86
YOU Patch Nr: 12519
Open Enterprise Server
  • mozilla >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-devel >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-dom-inspector >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-irc >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-mail >= 1.8_seamonkey_1.1.17-0.6
  • mozilla-venkman >= 1.8_seamonkey_1.1.17-0.6
core9.ia64
core9.ppc
core9.s390
core9.s390x
sles9-nld.x86-64
sles9-oes.x86
core9.x86
sles9-nlpos.x86
core9.x86-64
sles9-nld.x86
YOU Patch Nr: 12519
openSUSE 11.0
  • seamonkey-debuginfo >= 1.1.18-0.1
  • seamonkey-debugsource >= 1.1.18-0.1
openSUSE 11.0
  • seamonkey >= 1.1.18-0.1
  • seamonkey-dom-inspector >= 1.1.18-0.1
  • seamonkey-irc >= 1.1.18-0.1
  • seamonkey-mail >= 1.1.18-0.1
  • seamonkey-spellchecker >= 1.1.18-0.1
  • seamonkey-venkman >= 1.1.18-0.1
openSUSE 11.1
  • seamonkey-debuginfo >= 1.1.18-0.1.1
  • seamonkey-debugsource >= 1.1.18-0.1.1
openSUSE 11.1
  • seamonkey >= 1.1.18-0.1.1
  • seamonkey-dom-inspector >= 1.1.18-0.1.1
  • seamonkey-irc >= 1.1.18-0.1.1
  • seamonkey-mail >= 1.1.18-0.1.1
  • seamonkey-spellchecker >= 1.1.18-0.1.1
  • seamonkey-venkman >= 1.1.18-0.1.1